Page MenuHomePhabricator

port from Whonix bind-directories to Qubes bind-dirs.sh
Closed, ResolvedPublic

Description

Now that Whonix bind-directories has been upstreamed to Qubes as bind-dirs.sh (T414), Whonix needs to actually start using it.

Inquiry when bind-dirs.sh will be available in Qubes R3.1 or R4.0, done:
https://github.com/marmarek/qubes-core-agent-linux/pull/58#issuecomment-213114874

The difficulty here is to smoothly transition away from Whonix bind-directories as soon as Qubes bind-dirs.sh gets available. Perhaps Whonix bind-directories should check if Qubes bind-dirs.sh is available and terminate when it is? Then the config file for Qubes bind-dirs.sh could be deployed right now and no user of R3 / 3.1 / 3.2 / 4.0 should run into any issues, right?

Details

Impact
Normal

Event Timeline

Patrick created this task.Apr 21 2016, 11:15 PM

Wondering, should there be just one config file per whole Whonix or a
snippet per related package?

For example, /etc/tor and /var/lib/tor could go into
anon-gw-anonymizer-config.

Patrick changed the task status from Review to Open.Apr 29 2016, 6:10 AM

Function legacy is broken.

For reference:
https://github.com/marmarek/qubes-core-agent-linux/blob/f4d367a6a7eb70f3658e28f5ae5841b2fff3b1c9/vm-systemd/bind-dirs.sh#L49-L56

I could overwrite the function in package qubes-whonix or fix it in qubes-core-agent-linux. The latter should work just fine if the bug fixed version makes it into R3.2 (if that comes) or R4.

Apart from this it seems to migrate just fine.

What would fix look like? Anyway, it shouldn't be a problem to have it
included in Qubes 3.2.

Patrick changed the task status from Open to Review.Apr 29 2016, 11:47 PM
In T501#9040, @marmarek wrote:

What would fix look like?

https://github.com/marmarek/qubes-core-agent-linux/pull/69

Anyway, it shouldn't be a problem to have it
included in Qubes 3.2.

Great.

Patrick closed this task as Resolved.Apr 30 2016, 6:21 PM
Patrick claimed this task.